<?php
/*
Plugin Name: Adblocker prompt
Description: Displays a message to visitors that have an Adblocker installed - ONLY works for AdSense.
Version: 1.0.0
Author: IT Support Guides
Author URI: https://www.itsupportguides.com
Plugin URI: https://www.itsupportguides.com/wordpress/how-to-create-a-wordpress-plugin-for-your-custom-functions/
*/

add_action('wp_footer', 'itsg_adblock_message');

function itsg_adblock_message() {
    ?>
    <script>
		jQuery(document).ready(function() {
			
			var dismiss_cookie_name = 'itsg_adblock_message_dismissed';
			var dismiss_cookie = dismiss_cookie_name + '=1; Max-age=315360000; path=/'; // 10 years (60*60*24*365*10)
			setTimeout(function(){
				if (jQuery('.adsbygoogle').height() == 0 && document.cookie.indexOf(dismiss_cookie_name) == -1) {
					jQuery('.adsbygoogle').css("display", "block");
					jQuery('.adsbygoogle').after("<div class='adblock_wrapper'> \
					jQuery('.adsbygoogle').after("<div class='adblock_wrapper'><span class='adblock_wrapper_close'>Close</span><h2>Adblocker detected</h2><p>It looks like you're using an adblocker to prevent advertisements from displaying.</p><p>This website uses advertisements to pay for hosting and other operational costs.</p><p><strong>We ask that you whitelist <span><?php echo $_SERVER['SERVER_NAME'] ?></span> in your adblocker to help keep the website running. Thanks!</strong></p></div>");
				}
				var disclaimer_close = jQuery( '.adblock_wrapper_close' );
				disclaimer_close.click( function() {
					jQuery( '.adblock_wrapper' ).hide();
					document.cookie = dismiss_cookie;
				})
			},2000);
			
	
});
	</script>
	<style>				
		.adblock_wrapper {
			border: 3px dashed red;
			padding: 5%;
			text-align: center;
		}
		
		.adblock_wrapper_close {
			float: right;
			cursor: pointer;
			font-weight: 800;
		}
		
		.adblock_wrapper_close::after {
			content: "X";
			margin-left: 10px;
		}
	</style>
    <?php 
}